Subject: Re: [PATCH] regmap: fix of_regmap_get_endian()

From: Mark Brown <[email-masked]>
Date: Tue, 19 Aug 2014 10:34:51 -0500

On Mon, Aug 18, 2014 at 04:14:04PM -0600, Stephen Warren wrote:
> From: Stephen Warren <[email-masked]>
> 
> Commit d647c199510c ("regmap: add DT endianness binding support") has
> some issues. Specifically, if config->reg_format_endian is not explicitly
> set, it will be zero, i.e. REGMAP_ENDIAN_DEFAULT. The switch statement

Please respin this against current code, as Xiubo said Javier fixed some
of this already.